<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>margin-break: keep</title>
	<link rel="help" href="https://www.w3.org/TR/css-break-4/#break-margins">
	<meta name="assert" content="The 'keep' value of the 'margin-break' property keep the margin on breaks.">
	<style>
		@page {
			margin: 1cm;
			size: A5;
		}

		.box {
			width: 50%;
			height: 1cm;
			text-align: center;
			background-color: black;
			color: white;
		}

		.test {
			margin-top: 2cm;
		}

		.ref {
			position: absolute;
			left: 50%;
		}

		.spacer {
			height: 15.5cm;
		}
	</style>
	<style>
		.test {
			margin-break: keep;
			-ah-margin-break: keep;
		}

		.ref {
			top: 2cm;
		}
	</style>
</head>
<body>
<div class="box test">Test</div>
<div class="box ref forced">Reference</div>
<div class="spacer">Test passes if the two black boxes on the two pages are aligned.</div>
<div class="box test">Test</div>
<div class="box ref unforced">Reference</div>
</body>
</html>

